<?php



 /**

 * @package Folder Menu

 * @author Web-Dorado

 * @copyright (C) 2011 Web-Dorado. All rights reserved.

 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html

 **/

  

 // This php file returnes Folder Menu parameters and menu items in XML format therefore direct access must be allowed

 

 

define( '_JEXEC', 1 );

define( 'JPATH_BASE', realpath(dirname(__FILE__).'/../..' ));

define( 'DS', DIRECTORY_SEPARATOR );



require_once ( JPATH_BASE .DS.'includes'.DS.'defines.php' );

require_once ( JPATH_BASE .DS.'includes'.DS.'framework.php' );



$mainframe =& JFactory::getApplication('site');



$mainframe->initialise();

$module_id=$_REQUEST['module_id'];

$session =& JFactory::getSession();

$xml_content=$session->get( 'xml_content_foldermenu_'.$module_id, '' );



header('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); 

header('Cache-Control: no-store, no-cache, must-revalidate'); 

header('Cache-Control: post-check=0, pre-check=0',false);

header('Pragma: no-cache');

header ("Content-Type:text/xml"); 



echo $xml_content;

?>